%global framework kparts

Name:           kf5-%{framework}
Version:        5.55.0
Release:        1
Summary:        KDE Frameworks 5 Tier 3 solution for KParts

License:        GPLv2+
URL:            https://cgit.kde.org/%{framework}.git

%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}  kf5-kconfig-devel >= %{majmin}  kf5-kcoreaddons-devel >= %{majmin}  kf5-ki18n-devel >= %{majmin}  kf5-kiconthemes-devel >= %{majmin}  kf5-kio-devel >= %{majmin}  kf5-kjobwidgets-devel >= %{majmin}  kf5-knotifications-devel >= %{majmin}  kf5-kservice-devel >= %{majmin}  kf5-ktextwidgets-devel >= %{majmin}  kf5-kwidgetsaddons-devel >= %{majmin}  kf5-kxmlgui-devel >= %{majmin}  kf5-rpm-macros  qt5-qtbase-devel

%description
KDE Frameworks 5 Tier 3 solution for KParts

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}       kf5-kio-devel >= %{majmin}       kf5-ktextwidgets-devel >= %{majmin}       kf5-kxmlgui-devel >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-html


%ldconfig_scriptlets

%files -f %{name}.lang
%doc README.md AUTHORS
%license COPYING.LIB
%{_kf5_libdir}/libKF5Parts.so.*
%{_kf5_datadir}/kservicetypes5/*.desktop

%files devel
%{_kf5_includedir}/kparts_version.h
%{_kf5_includedir}/KParts/
%{_kf5_libdir}/libKF5Parts.so
%{_kf5_libdir}/cmake/KF5Parts/
%{_kf5_archdatadir}/mkspecs/modules/qt_KParts.pri
# 
%dir %{_kf5_datadir}/kdevappwizard/
%dir %{_kf5_datadir}/kdevappwizard/templates/
%{_kf5_datadir}/kdevappwizard/templates/kpartsapp.tar.bz2


%changelog
* Mon Aug 17 2020 yeqinglong <yeqinglong@uniontech.com> - 5.55.0-1
- Initial release for OpenEuler

